Return the role-resolved edit form model for one table-row action.
using System.Net.Http.Headers;var client = new HttpClient();var request = new HttpRequestMessage{ Method = HttpMethod.Get, RequestUri = new Uri("https://example.com/api/workspace/entity/example/ui/table/actions/example/form"),};using (var response = await client.SendAsync(request)){ response.EnsureSuccessStatusCode(); var body = await response.Content.ReadAsStringAsync(); Console.WriteLine(body);}const url = 'https://example.com/api/workspace/entity/example/ui/table/actions/example/form';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/api/workspace/entity/example/ui/table/actions/example/formAuthorizations
Section titled “Authorizations”- None
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Query Parameters
Section titled “Query Parameters”Optional access token for clients that cannot set Authorization headers. Prefer Authorization: Bearer <token> when possible.
Responses
Section titled “Responses”OK
object
Runtime form surface payload resolved for the active caller.
object
Minimal runtime entity metadata used by explicit UI surfaces.
object
Entity definition identifier.
Internal entity key used by runtime routes.
User-facing singular name.
User-facing plural name.
Whether entity comments are enabled.
Whether entity attachments are enabled.
Whether entity tags are enabled.
Whether runtime full-text search is available for the definition.
Runtime-exposed statements for this entity.
Runtime statement descriptor exposed to clients together with predicate payloads.
object
Statement identifier.
Stable technical statement key.
User-facing statement label.
Rule evaluation context shared with fast UI runtime evaluation.
object
Current workspace user identifier.
Workspace-local current date in ISO format.
Workspace time zone identifier.
UTC instant when the context was generated.
UTC instant for the next midnight in the workspace time zone.
Owner-scoped runtime values available to rule plans.
object
object
Whether the entity is an enabled Projection Entity.
Selector for resolving an entity UI surface by default pointer or custom key.
object
Persisted form surface.
object
Surface identifier. This is empty when the model is not resolved.
Maximum layout width in pixels.
Desktop column count.
Concurrency token for persisted overrides.
Effective form items.
One form item.
object
Stable item identifier.
Display order.
Preferred desktop column.
Optional overridden label.
Optional hint text.
Resolved binding metadata for one UI field reference.
object
Field identifier when the binding points to an entity field.
Runtime field key when the binding points to an entity field.
Whether the bound field is always required.
Visibility condition expression for draft-aware UI evaluation.
Requiredness condition expression for draft-aware UI evaluation.
Editability condition expression for draft-aware UI evaluation.
Compiled rule expression plan used by Moltaro runtime surfaces.
object
Stable rule engine version used to compile this plan.
Compiled rule expression node.
object
Node kind, for example literal, path, eq, and, or.
Optional operator metadata.
Field path for path nodes.
Literal family for literal nodes.
Text value or variable name.
Numeric literal value.
Boolean literal value.
Date variable day offset.
Typed result family resolved by the backend binder.
Backend source family for lookup-like or complex fields.
Canonical field path resolved by the backend binder.
Compiled rule expression plan used by Moltaro runtime surfaces.
object
Stable rule engine version used to compile this plan.
Compiled rule expression node.
object
Node kind, for example literal, path, eq, and, or.
Optional operator metadata.
Field path for path nodes.
Literal family for literal nodes.
Text value or variable name.
Numeric literal value.
Boolean literal value.
Date variable day offset.
Typed result family resolved by the backend binder.
Backend source family for lookup-like or complex fields.
Canonical field path resolved by the backend binder.
Compiled rule expression plan used by Moltaro runtime surfaces.
object
Stable rule engine version used to compile this plan.
Compiled rule expression node.
object
Node kind, for example literal, path, eq, and, or.
Optional operator metadata.
Field path for path nodes.
Literal family for literal nodes.
Text value or variable name.
Numeric literal value.
Boolean literal value.
Date variable day offset.
Typed result family resolved by the backend binder.
Backend source family for lookup-like or complex fields.
Canonical field path resolved by the backend binder.
Whether the bound field allows multiple values.
Decimal precision when applicable.
Decimal scale when applicable.
String max length when applicable.
Target entity definition identifier for reference-style fields.
Paired reference field identifier for inverse reference fields.
Whether root-list sorting by linked display value is allowed.
Select options when applicable.
Option metadata for select fields.
object
Option identifier.
Owning field identifier.
Option key.
Option display value.
Sort order.
Access-shaped child-table fields when the binding targets a table field.
One access-shaped child-table field for runtime UI rendering.
object
Child field identifier.
Display label for the child field.
Whether the caller may edit this child field.
Reference path configured for breadcrumb rendering.
Whether the caller can access at least one child-table field.
Whether the caller can access nested table child fields.
Base currency code for Money fields.
Relation definition id when the binding targets a record-assignment relation slot.
Relation definition key when the binding targets a record-assignment relation slot.
Relation display name when the binding targets a record-assignment relation slot.
Display field identifier when the binding targets a display-only computed field.
Display field key when the binding targets a display-only computed field.
Display field display name when the binding targets a display-only computed field.
Object-context fact configuration id when the binding targets a contextual fact.
Provider key that owns the object-context fact payload.
object
Whether an address field must be captured through a coordinate-aware editor.
Whether field editing is enabled.
Configured row count for textarea-style editors.
Text-block content when the item is a text block.
Optional alert title.
Alert body.
Optional top margin in pixels.
Optional bottom margin in pixels.
Optional top padding in pixels.
Optional bottom padding in pixels.
Optional left padding in pixels.
Optional right padding in pixels.
Whether the item remains visible in the effective runtime model.
Desktop column span.
Reference path configured for breadcrumb rendering.
Role-aware table selectors for lookup dialogs.
Role-aware selector row used by hosted surfaces and lookup inputs.
object
Persisted selector row id. New client rows may send null.
Higher values are evaluated first.
Custom surface key when Moltaro.Entity.Ui.Models.EntityUiSurfaceSelectorAdminModel.Mode is custom key.
Workspace role ids that may use the selector; empty means all roles.
Rule evaluation context shared with fast UI runtime evaluation.
object
Current workspace user identifier.
Workspace-local current date in ISO format.
Workspace time zone identifier.
UTC instant when the context was generated.
UTC instant for the next midnight in the workspace time zone.
Owner-scoped runtime values available to rule plans.
object
object
Machine-readable state for a reusable UI surface that is intentionally missing.
object
Selector for resolving an entity UI surface by default pointer or custom key.
object
object
object
object
object
Example
{ "Data": { "Meta": { "AccessModel": 0 }, "Selector": { "Mode": 0 }, "Model": { "Surface": 0, "Items": [ { "ItemType": 0, "Binding": { "RefKind": 0, "SystemField": 0, "FieldType": 0, "ReferenceDeleteBehavior": 0, "TableFields": [ { "Editor": 0, "ReferenceInputType": 0, "ReferenceRendererType": 0, "ReferenceLookupRenderType": 0 } ], "VisibleWhenOperationMode": 0, "RequiredWhenOperationMode": 0, "EditableWhenOperationMode": 0, "RelationCardinality": 0, "RelationSubjectMode": 0 }, "Editor": 0, "TextBlockStyle": 0, "AlertTone": 0, "ReferenceInputType": 0, "ReferenceRendererType": 0, "ReferenceLookupRenderType": 0, "LookupTableSelectors": [ { "Mode": 0 } ] } ] }, "MissingSurface": { "SurfaceType": 0, "Reason": 0, "Selector": { "Mode": 0 } } }, "Errors": [ { "Type": 0, "Severity": 0 } ], "Warnings": [ { "Type": 0, "Severity": 0 } ]}Bad Request
object
Runtime form surface payload resolved for the active caller.
object
Minimal runtime entity metadata used by explicit UI surfaces.
object
Entity definition identifier.
Internal entity key used by runtime routes.
User-facing singular name.
User-facing plural name.
Whether entity comments are enabled.
Whether entity attachments are enabled.
Whether entity tags are enabled.
Whether runtime full-text search is available for the definition.
Runtime-exposed statements for this entity.
Runtime statement descriptor exposed to clients together with predicate payloads.
object
Statement identifier.
Stable technical statement key.
User-facing statement label.
Rule evaluation context shared with fast UI runtime evaluation.
object
Current workspace user identifier.
Workspace-local current date in ISO format.
Workspace time zone identifier.
UTC instant when the context was generated.
UTC instant for the next midnight in the workspace time zone.
Owner-scoped runtime values available to rule plans.
object
object
Whether the entity is an enabled Projection Entity.
Selector for resolving an entity UI surface by default pointer or custom key.
object
Persisted form surface.
object
Surface identifier. This is empty when the model is not resolved.
Maximum layout width in pixels.
Desktop column count.
Concurrency token for persisted overrides.
Effective form items.
One form item.
object
Stable item identifier.
Display order.
Preferred desktop column.
Optional overridden label.
Optional hint text.
Resolved binding metadata for one UI field reference.
object
Field identifier when the binding points to an entity field.
Runtime field key when the binding points to an entity field.
Whether the bound field is always required.
Visibility condition expression for draft-aware UI evaluation.
Requiredness condition expression for draft-aware UI evaluation.
Editability condition expression for draft-aware UI evaluation.
Compiled rule expression plan used by Moltaro runtime surfaces.
object
Stable rule engine version used to compile this plan.
Compiled rule expression node.
object
Node kind, for example literal, path, eq, and, or.
Optional operator metadata.
Field path for path nodes.
Literal family for literal nodes.
Text value or variable name.
Numeric literal value.
Boolean literal value.
Date variable day offset.
Typed result family resolved by the backend binder.
Backend source family for lookup-like or complex fields.
Canonical field path resolved by the backend binder.
Compiled rule expression plan used by Moltaro runtime surfaces.
object
Stable rule engine version used to compile this plan.
Compiled rule expression node.
object
Node kind, for example literal, path, eq, and, or.
Optional operator metadata.
Field path for path nodes.
Literal family for literal nodes.
Text value or variable name.
Numeric literal value.
Boolean literal value.
Date variable day offset.
Typed result family resolved by the backend binder.
Backend source family for lookup-like or complex fields.
Canonical field path resolved by the backend binder.
Compiled rule expression plan used by Moltaro runtime surfaces.
object
Stable rule engine version used to compile this plan.
Compiled rule expression node.
object
Node kind, for example literal, path, eq, and, or.
Optional operator metadata.
Field path for path nodes.
Literal family for literal nodes.
Text value or variable name.
Numeric literal value.
Boolean literal value.
Date variable day offset.
Typed result family resolved by the backend binder.
Backend source family for lookup-like or complex fields.
Canonical field path resolved by the backend binder.
Whether the bound field allows multiple values.
Decimal precision when applicable.
Decimal scale when applicable.
String max length when applicable.
Target entity definition identifier for reference-style fields.
Paired reference field identifier for inverse reference fields.
Whether root-list sorting by linked display value is allowed.
Select options when applicable.
Option metadata for select fields.
object
Option identifier.
Owning field identifier.
Option key.
Option display value.
Sort order.
Access-shaped child-table fields when the binding targets a table field.
One access-shaped child-table field for runtime UI rendering.
object
Child field identifier.
Display label for the child field.
Whether the caller may edit this child field.
Reference path configured for breadcrumb rendering.
Whether the caller can access at least one child-table field.
Whether the caller can access nested table child fields.
Base currency code for Money fields.
Relation definition id when the binding targets a record-assignment relation slot.
Relation definition key when the binding targets a record-assignment relation slot.
Relation display name when the binding targets a record-assignment relation slot.
Display field identifier when the binding targets a display-only computed field.
Display field key when the binding targets a display-only computed field.
Display field display name when the binding targets a display-only computed field.
Object-context fact configuration id when the binding targets a contextual fact.
Provider key that owns the object-context fact payload.
object
Whether an address field must be captured through a coordinate-aware editor.
Whether field editing is enabled.
Configured row count for textarea-style editors.
Text-block content when the item is a text block.
Optional alert title.
Alert body.
Optional top margin in pixels.
Optional bottom margin in pixels.
Optional top padding in pixels.
Optional bottom padding in pixels.
Optional left padding in pixels.
Optional right padding in pixels.
Whether the item remains visible in the effective runtime model.
Desktop column span.
Reference path configured for breadcrumb rendering.
Role-aware table selectors for lookup dialogs.
Role-aware selector row used by hosted surfaces and lookup inputs.
object
Persisted selector row id. New client rows may send null.
Higher values are evaluated first.
Custom surface key when Moltaro.Entity.Ui.Models.EntityUiSurfaceSelectorAdminModel.Mode is custom key.
Workspace role ids that may use the selector; empty means all roles.
Rule evaluation context shared with fast UI runtime evaluation.
object
Current workspace user identifier.
Workspace-local current date in ISO format.
Workspace time zone identifier.
UTC instant when the context was generated.
UTC instant for the next midnight in the workspace time zone.
Owner-scoped runtime values available to rule plans.
object
object
Machine-readable state for a reusable UI surface that is intentionally missing.
object
Selector for resolving an entity UI surface by default pointer or custom key.
object
object
object
object
object
Example
{ "Data": { "Meta": { "AccessModel": 0 }, "Selector": { "Mode": 0 }, "Model": { "Surface": 0, "Items": [ { "ItemType": 0, "Binding": { "RefKind": 0, "SystemField": 0, "FieldType": 0, "ReferenceDeleteBehavior": 0, "TableFields": [ { "Editor": 0, "ReferenceInputType": 0, "ReferenceRendererType": 0, "ReferenceLookupRenderType": 0 } ], "VisibleWhenOperationMode": 0, "RequiredWhenOperationMode": 0, "EditableWhenOperationMode": 0, "RelationCardinality": 0, "RelationSubjectMode": 0 }, "Editor": 0, "TextBlockStyle": 0, "AlertTone": 0, "ReferenceInputType": 0, "ReferenceRendererType": 0, "ReferenceLookupRenderType": 0, "LookupTableSelectors": [ { "Mode": 0 } ] } ] }, "MissingSurface": { "SurfaceType": 0, "Reason": 0, "Selector": { "Mode": 0 } } }, "Errors": [ { "Type": 0, "Severity": 0 } ], "Warnings": [ { "Type": 0, "Severity": 0 } ]}Forbidden
object
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}Not Found
object
Runtime form surface payload resolved for the active caller.
object
Minimal runtime entity metadata used by explicit UI surfaces.
object
Entity definition identifier.
Internal entity key used by runtime routes.
User-facing singular name.
User-facing plural name.
Whether entity comments are enabled.
Whether entity attachments are enabled.
Whether entity tags are enabled.
Whether runtime full-text search is available for the definition.
Runtime-exposed statements for this entity.
Runtime statement descriptor exposed to clients together with predicate payloads.
object
Statement identifier.
Stable technical statement key.
User-facing statement label.
Rule evaluation context shared with fast UI runtime evaluation.
object
Current workspace user identifier.
Workspace-local current date in ISO format.
Workspace time zone identifier.
UTC instant when the context was generated.
UTC instant for the next midnight in the workspace time zone.
Owner-scoped runtime values available to rule plans.
object
object
Whether the entity is an enabled Projection Entity.
Selector for resolving an entity UI surface by default pointer or custom key.
object
Persisted form surface.
object
Surface identifier. This is empty when the model is not resolved.
Maximum layout width in pixels.
Desktop column count.
Concurrency token for persisted overrides.
Effective form items.
One form item.
object
Stable item identifier.
Display order.
Preferred desktop column.
Optional overridden label.
Optional hint text.
Resolved binding metadata for one UI field reference.
object
Field identifier when the binding points to an entity field.
Runtime field key when the binding points to an entity field.
Whether the bound field is always required.
Visibility condition expression for draft-aware UI evaluation.
Requiredness condition expression for draft-aware UI evaluation.
Editability condition expression for draft-aware UI evaluation.
Compiled rule expression plan used by Moltaro runtime surfaces.
object
Stable rule engine version used to compile this plan.
Compiled rule expression node.
object
Node kind, for example literal, path, eq, and, or.
Optional operator metadata.
Field path for path nodes.
Literal family for literal nodes.
Text value or variable name.
Numeric literal value.
Boolean literal value.
Date variable day offset.
Typed result family resolved by the backend binder.
Backend source family for lookup-like or complex fields.
Canonical field path resolved by the backend binder.
Compiled rule expression plan used by Moltaro runtime surfaces.
object
Stable rule engine version used to compile this plan.
Compiled rule expression node.
object
Node kind, for example literal, path, eq, and, or.
Optional operator metadata.
Field path for path nodes.
Literal family for literal nodes.
Text value or variable name.
Numeric literal value.
Boolean literal value.
Date variable day offset.
Typed result family resolved by the backend binder.
Backend source family for lookup-like or complex fields.
Canonical field path resolved by the backend binder.
Compiled rule expression plan used by Moltaro runtime surfaces.
object
Stable rule engine version used to compile this plan.
Compiled rule expression node.
object
Node kind, for example literal, path, eq, and, or.
Optional operator metadata.
Field path for path nodes.
Literal family for literal nodes.
Text value or variable name.
Numeric literal value.
Boolean literal value.
Date variable day offset.
Typed result family resolved by the backend binder.
Backend source family for lookup-like or complex fields.
Canonical field path resolved by the backend binder.
Whether the bound field allows multiple values.
Decimal precision when applicable.
Decimal scale when applicable.
String max length when applicable.
Target entity definition identifier for reference-style fields.
Paired reference field identifier for inverse reference fields.
Whether root-list sorting by linked display value is allowed.
Select options when applicable.
Option metadata for select fields.
object
Option identifier.
Owning field identifier.
Option key.
Option display value.
Sort order.
Access-shaped child-table fields when the binding targets a table field.
One access-shaped child-table field for runtime UI rendering.
object
Child field identifier.
Display label for the child field.
Whether the caller may edit this child field.
Reference path configured for breadcrumb rendering.
Whether the caller can access at least one child-table field.
Whether the caller can access nested table child fields.
Base currency code for Money fields.
Relation definition id when the binding targets a record-assignment relation slot.
Relation definition key when the binding targets a record-assignment relation slot.
Relation display name when the binding targets a record-assignment relation slot.
Display field identifier when the binding targets a display-only computed field.
Display field key when the binding targets a display-only computed field.
Display field display name when the binding targets a display-only computed field.
Object-context fact configuration id when the binding targets a contextual fact.
Provider key that owns the object-context fact payload.
object
Whether an address field must be captured through a coordinate-aware editor.
Whether field editing is enabled.
Configured row count for textarea-style editors.
Text-block content when the item is a text block.
Optional alert title.
Alert body.
Optional top margin in pixels.
Optional bottom margin in pixels.
Optional top padding in pixels.
Optional bottom padding in pixels.
Optional left padding in pixels.
Optional right padding in pixels.
Whether the item remains visible in the effective runtime model.
Desktop column span.
Reference path configured for breadcrumb rendering.
Role-aware table selectors for lookup dialogs.
Role-aware selector row used by hosted surfaces and lookup inputs.
object
Persisted selector row id. New client rows may send null.
Higher values are evaluated first.
Custom surface key when Moltaro.Entity.Ui.Models.EntityUiSurfaceSelectorAdminModel.Mode is custom key.
Workspace role ids that may use the selector; empty means all roles.
Rule evaluation context shared with fast UI runtime evaluation.
object
Current workspace user identifier.
Workspace-local current date in ISO format.
Workspace time zone identifier.
UTC instant when the context was generated.
UTC instant for the next midnight in the workspace time zone.
Owner-scoped runtime values available to rule plans.
object
object
Machine-readable state for a reusable UI surface that is intentionally missing.
object
Selector for resolving an entity UI surface by default pointer or custom key.
object
object
object
object
object
Example
{ "Data": { "Meta": { "AccessModel": 0 }, "Selector": { "Mode": 0 }, "Model": { "Surface": 0, "Items": [ { "ItemType": 0, "Binding": { "RefKind": 0, "SystemField": 0, "FieldType": 0, "ReferenceDeleteBehavior": 0, "TableFields": [ { "Editor": 0, "ReferenceInputType": 0, "ReferenceRendererType": 0, "ReferenceLookupRenderType": 0 } ], "VisibleWhenOperationMode": 0, "RequiredWhenOperationMode": 0, "EditableWhenOperationMode": 0, "RelationCardinality": 0, "RelationSubjectMode": 0 }, "Editor": 0, "TextBlockStyle": 0, "AlertTone": 0, "ReferenceInputType": 0, "ReferenceRendererType": 0, "ReferenceLookupRenderType": 0, "LookupTableSelectors": [ { "Mode": 0 } ] } ] }, "MissingSurface": { "SurfaceType": 0, "Reason": 0, "Selector": { "Mode": 0 } } }, "Errors": [ { "Type": 0, "Severity": 0 } ], "Warnings": [ { "Type": 0, "Severity": 0 } ]}Conflict
object
Runtime form surface payload resolved for the active caller.
object
Minimal runtime entity metadata used by explicit UI surfaces.
object
Entity definition identifier.
Internal entity key used by runtime routes.
User-facing singular name.
User-facing plural name.
Whether entity comments are enabled.
Whether entity attachments are enabled.
Whether entity tags are enabled.
Whether runtime full-text search is available for the definition.
Runtime-exposed statements for this entity.
Runtime statement descriptor exposed to clients together with predicate payloads.
object
Statement identifier.
Stable technical statement key.
User-facing statement label.
Rule evaluation context shared with fast UI runtime evaluation.
object
Current workspace user identifier.
Workspace-local current date in ISO format.
Workspace time zone identifier.
UTC instant when the context was generated.
UTC instant for the next midnight in the workspace time zone.
Owner-scoped runtime values available to rule plans.
object
object
Whether the entity is an enabled Projection Entity.
Selector for resolving an entity UI surface by default pointer or custom key.
object
Persisted form surface.
object
Surface identifier. This is empty when the model is not resolved.
Maximum layout width in pixels.
Desktop column count.
Concurrency token for persisted overrides.
Effective form items.
One form item.
object
Stable item identifier.
Display order.
Preferred desktop column.
Optional overridden label.
Optional hint text.
Resolved binding metadata for one UI field reference.
object
Field identifier when the binding points to an entity field.
Runtime field key when the binding points to an entity field.
Whether the bound field is always required.
Visibility condition expression for draft-aware UI evaluation.
Requiredness condition expression for draft-aware UI evaluation.
Editability condition expression for draft-aware UI evaluation.
Compiled rule expression plan used by Moltaro runtime surfaces.
object
Stable rule engine version used to compile this plan.
Compiled rule expression node.
object
Node kind, for example literal, path, eq, and, or.
Optional operator metadata.
Field path for path nodes.
Literal family for literal nodes.
Text value or variable name.
Numeric literal value.
Boolean literal value.
Date variable day offset.
Typed result family resolved by the backend binder.
Backend source family for lookup-like or complex fields.
Canonical field path resolved by the backend binder.
Compiled rule expression plan used by Moltaro runtime surfaces.
object
Stable rule engine version used to compile this plan.
Compiled rule expression node.
object
Node kind, for example literal, path, eq, and, or.
Optional operator metadata.
Field path for path nodes.
Literal family for literal nodes.
Text value or variable name.
Numeric literal value.
Boolean literal value.
Date variable day offset.
Typed result family resolved by the backend binder.
Backend source family for lookup-like or complex fields.
Canonical field path resolved by the backend binder.
Compiled rule expression plan used by Moltaro runtime surfaces.
object
Stable rule engine version used to compile this plan.
Compiled rule expression node.
object
Node kind, for example literal, path, eq, and, or.
Optional operator metadata.
Field path for path nodes.
Literal family for literal nodes.
Text value or variable name.
Numeric literal value.
Boolean literal value.
Date variable day offset.
Typed result family resolved by the backend binder.
Backend source family for lookup-like or complex fields.
Canonical field path resolved by the backend binder.
Whether the bound field allows multiple values.
Decimal precision when applicable.
Decimal scale when applicable.
String max length when applicable.
Target entity definition identifier for reference-style fields.
Paired reference field identifier for inverse reference fields.
Whether root-list sorting by linked display value is allowed.
Select options when applicable.
Option metadata for select fields.
object
Option identifier.
Owning field identifier.
Option key.
Option display value.
Sort order.
Access-shaped child-table fields when the binding targets a table field.
One access-shaped child-table field for runtime UI rendering.
object
Child field identifier.
Display label for the child field.
Whether the caller may edit this child field.
Reference path configured for breadcrumb rendering.
Whether the caller can access at least one child-table field.
Whether the caller can access nested table child fields.
Base currency code for Money fields.
Relation definition id when the binding targets a record-assignment relation slot.
Relation definition key when the binding targets a record-assignment relation slot.
Relation display name when the binding targets a record-assignment relation slot.
Display field identifier when the binding targets a display-only computed field.
Display field key when the binding targets a display-only computed field.
Display field display name when the binding targets a display-only computed field.
Object-context fact configuration id when the binding targets a contextual fact.
Provider key that owns the object-context fact payload.
object
Whether an address field must be captured through a coordinate-aware editor.
Whether field editing is enabled.
Configured row count for textarea-style editors.
Text-block content when the item is a text block.
Optional alert title.
Alert body.
Optional top margin in pixels.
Optional bottom margin in pixels.
Optional top padding in pixels.
Optional bottom padding in pixels.
Optional left padding in pixels.
Optional right padding in pixels.
Whether the item remains visible in the effective runtime model.
Desktop column span.
Reference path configured for breadcrumb rendering.
Role-aware table selectors for lookup dialogs.
Role-aware selector row used by hosted surfaces and lookup inputs.
object
Persisted selector row id. New client rows may send null.
Higher values are evaluated first.
Custom surface key when Moltaro.Entity.Ui.Models.EntityUiSurfaceSelectorAdminModel.Mode is custom key.
Workspace role ids that may use the selector; empty means all roles.
Rule evaluation context shared with fast UI runtime evaluation.
object
Current workspace user identifier.
Workspace-local current date in ISO format.
Workspace time zone identifier.
UTC instant when the context was generated.
UTC instant for the next midnight in the workspace time zone.
Owner-scoped runtime values available to rule plans.
object
object
Machine-readable state for a reusable UI surface that is intentionally missing.
object
Selector for resolving an entity UI surface by default pointer or custom key.
object
object
object
object
object
Example
{ "Data": { "Meta": { "AccessModel": 0 }, "Selector": { "Mode": 0 }, "Model": { "Surface": 0, "Items": [ { "ItemType": 0, "Binding": { "RefKind": 0, "SystemField": 0, "FieldType": 0, "ReferenceDeleteBehavior": 0, "TableFields": [ { "Editor": 0, "ReferenceInputType": 0, "ReferenceRendererType": 0, "ReferenceLookupRenderType": 0 } ], "VisibleWhenOperationMode": 0, "RequiredWhenOperationMode": 0, "EditableWhenOperationMode": 0, "RelationCardinality": 0, "RelationSubjectMode": 0 }, "Editor": 0, "TextBlockStyle": 0, "AlertTone": 0, "ReferenceInputType": 0, "ReferenceRendererType": 0, "ReferenceLookupRenderType": 0, "LookupTableSelectors": [ { "Mode": 0 } ] } ] }, "MissingSurface": { "SurfaceType": 0, "Reason": 0, "Selector": { "Mode": 0 } } }, "Errors": [ { "Type": 0, "Severity": 0 } ], "Warnings": [ { "Type": 0, "Severity": 0 } ]}